function blockHStr = swmsPrintBlockHStr(NumNP,NumEl,NumBP,nodeID,nodeX,nodeY,nodeZ,nodeType,presHeadIni,nodeMaterial,Layer,nodeBeta)


% nodeType = zeros(size(nodeID));
nodeType = nodeType(:);
% nodePresHead = -0.9 * ones(size(nodeID));
nodePresHead = presHeadIni;
nodeConc = zeros(size(nodeID));
nodeFlow = zeros(size(nodeID));
% nodeMaterial = ones(size(nodeID));

% rootZoneLeft = (Layer==1) & (nodeY==0.0)
% rootZoneRight = (Layer==1) & (nodeY==max(nodeY(:)));
% 
% nodeBeta = ~(rootZoneLeft|rootZoneRight).*0 +...
%              rootZoneLeft*1.0 +...
%              rootZoneRight*0.5;

nodeAxz = ones(size(nodeID));
nodeBxz = ones(size(nodeID));
nodeDxz = ones(size(nodeID));

M = [nodeID,nodeType,nodeX,nodeY,nodeZ,nodePresHead,nodeConc,...
    nodeFlow,nodeMaterial,nodeBeta,nodeAxz,nodeBxz,nodeDxz];

templH = readTemplate('h');

valuesStr = sprintf('%d %d %f %f %e %f %f %f %d %f %f %f %f\n',M');

blockHStr = sprintf(templH,NumNP,NumEl,NumBP,valuesStr);